Unit tec00r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, EC00R_p;

function tec00r: String;

implementation

function tec00r: String;
var
I,_i,L :Integer;
T :Real;
A :Array [0..7] of Real;
Y :Array [0..7] of Real;
H :Array [0..3] of Real;
X :Array [0..7] of Real;
Z :Array [0..7] of Real;
Y1 :Array [0..7] of Real;
XT :Array [0..7] of Real;
XT1 :Array [0..7] of Real;
const
N :Integer = 8;
DT :Real = 0.25;
ALP :Real = 1.0E-2;
P :Real = 1.0;
PI :Real = 3.14159265359;
label
_1;
begin
Result := '';
for I:=1 to N do
 begin
  T := DT*(-N/2+I-1);
  A[I-1] := Exp(-T*T);
  XT[I-1] := Exp(-T*T);
  Y[I-1] := Sqrt(PI/2.0)*Exp(-T*T/2.0);
  XT1[I-1] := Exp(-2.0*T*T);
_1:
  Y1[I-1] := Sqrt(PI/3.0)*Exp(-T*T*2.0/3.0);
 end;
Result := Result + Format('%s',['                    PO']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    TOHOE PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[XT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PABA ACT']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
L := 1;
EC00R(N,DT,A,Y,ALP,P,L,H,X,Z);
L := 2;
EC00R(N,DT,A,Y,ALP,P,L,H,X,Z);
Result := Result + Format('%s',['                    KPTEPAHE YHK']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[H[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PEYPOBAHHOE PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    TOHOE PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[XT1[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PABA ACT']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[Y1[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
L := 4;
EC00R(N,DT,A,Y1,ALP,P,L,H,X,Z);
L := 2;
EC00R(N,DT,A,Y1,ALP,P,L,H,X,Z);
Result := Result + Format('%s',['                    KPTEPAHE YHK']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[H[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['                    PEYPOBAHHOE PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tec00r',Result);  {     tec00r.res }
exit;
end;

end.
